[ 
https://issues.apache.org/jira/browse/BEAM-3690?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16361083#comment-16361083
 ] 

Luke Cwik commented on BEAM-3690:
---------------------------------

Note, the gradle build bans hamcrest-all and mockito-all and forces people to 
depend on hamcrest-core, mockito-core, ...

So only fixes to Maven are required.

> Dependency Conflict problems: several conflicting classes exist in different 
> JARs
> ---------------------------------------------------------------------------------
>
>                 Key: BEAM-3690
>                 URL: https://issues.apache.org/jira/browse/BEAM-3690
>             Project: Beam
>          Issue Type: Bug
>          Components: sdk-java-core
>    Affects Versions: 2.2.0
>            Reporter: PandaMonkey
>            Assignee: PandaMonkey
>            Priority: Major
>             Fix For: 2.3.0
>
>         Attachments: beam_conflicts.txt
>
>
> Hi, we found that there are duplicate classes exist in different JARs, and 
> these classes have different features.
> The conflicting JAR pairs are:
> 1. 
> jar-pair:<org.mockito:*mockito-all*:1.9.5:><org.hamcrest:*hamcrest-all*:1.3:>
> 2. 
> jar-pair:<org.mockito:*mockito-all*:1.9.5:><org.hamcrest:*hamcrest-core*:1.3:>
> Some of method only exist in one version of duplicate classes.
> As the JVM only load the classes present first on the classpath and shadow 
> the other duplicate ones with the same names. The dependency conflict problem 
> brings high risks of "*NoSuchMethodException*" or "*NoSuchMethodError*"  
> issues at runtime. The conflicting details are listed in the attachment. 
> Please notice that. Thanks.
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to